# 快应用示例模版

## 文件结构

```
├── sign                # 存储 rpk 包签名模块;
│   ├── certificate.pem # 证书文件
│   └── private.pem     # 私钥文件
└── src
│   ├── assets          # 公用的资源(images/styles/字体...)
│   │   ├──images       # 存储 png/jpg/svg 等公共图片资源
│   │   └──styles       # 存放 less/css/sass 等公共样式资源
│   │   └──js           # 存储公共 javaScript 代码资源
│   │   └──iconfont     # 存放图标字体
│   ├── CardDemo        # 快应用卡片示例页面
│   ├── helper          # 项目自定义辅助各类工具
│   │   └──utils        # 存放项目所封装的工具类方法
│   ├── pages           # 统一存放项目页面级代码
│   ├── app.ux          # 应用程序代码的人口文件
│   ├── manifest.json   # 配置快应用基本信息
│   └── components      # 存放快应用组件
└── package.json        # 定义项目需要的各种模块及配置信息
└── prettier.config.js  #代码美化规则
```


## GIT 提交规范
- 项目通过 [commitlint](https://github.com/conventional-changelog/commitlint) + [husky](https://github.com/typicode/husky) 进行git代码约束
 示例：git commit 提交规范：（git commit -m 'feat: 新增功能'） 跳过git commit 步骤 (git commit -m 'feat:xxxxx' --no-verify)
 #### 相关参数
- feat： 新增功能
- fix： BUG修复
- perf 性能优化
- style 不影响程序逻辑的代码修改(修改空白字符，补全缺失的分号等)
- test 新增测试用例或者更新
- docs 文档类修改
- refactor 重构代码
- revert 回滚某个更早之前提交
- chore：不属于以上类型的其他类型(日常事务)