  
module.exports = {
    //忽略初始化
    ignores: [(commit) => commit.includes('init')],
    //第三方NPM包
    extends: ['@commitlint/config-conventional'],
    //解析器配置
    parserPreset: {
      parserOpts: {
        //头部正则校验
        headerPattern: /^(\w*|[\u4e00-\u9fa5]*)(?:[\(\（](.*)[\)\）])?[\:\：] (.*)/,
        //headerPattern: /^(\w*)(?:\((.*)\))?:\s(.*)$/,
        headerCorrespondence: ['type', 'scope', 'subject'],
        referenceActions: [
          'close',
          'closes',
          'closed',
          'fix',
          'fixes',
          'fixed',
          'resolve',
          'resolves',
          'resolved',
        ],
      },
    },
    rules: {
      'body-leading-blank': [2, 'always'],
      'footer-leading-blank': [1, 'always'],
      'header-max-length': [2, 'always', 108],
      'subject-empty': [2, 'never'],
      'type-empty': [2, 'never'],
      'type-enum': [
        2,
        'always',
        [
          'feat',
          'fix',
          'perf',
          'style',
          'docs',
          'test',
          'refactor',
          'revert',
          'chore',
          'build',
          'ci' 
        ],
      ],
    },
  };
  